## NAME

t.vect.extract - Extracts a subset of a space time vector dataset.

## KEYWORDS

temporal, extract, vector, time

## SYNOPSIS

t.vect.extract
t.vect.extract --help
t.vect.extract [-n] input=name [where=sql_query] [expression=sql_query] output=name [layer=string] [type=string[,string,...]] [basename=string] [suffix=string] [nprocs=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-n
  Register empty maps
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of the input space time vector dataset
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework
  Example: start_time > '2001-01-01 12:30:00'
expression=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and population >= 10000
output=name [required]
  Name of the output space time vector dataset
layer=string
  Layer number or name
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
type=string[,string,...]
  Input feature type
  Options: point, line, boundary, centroid, area
  Default: point,line,boundary,centroid,area
basename=string
  Basename of the new generated output maps
  A numerical suffix separated by an underscore will be attached to create a unique identifier
suffix=string
  Suffix to add at basename: set 'gran' for granularity, 'time' for the full time format, 'num' for numerical suffix with a specific number of digits (default %05)
  Default: gran
nprocs=integer
  The number of v.extract processes to run in parallel. Use only if database backend is used which supports concurrent writing
  Default: 1

## DESCRIPTION

The purpose of t.vect.extract is to extract a subset of a space time vector dataset and to store that subset in a different space time vector dataset.

## EXAMPLE

In the following example a new space time vector dataset will be create with all the data later than 2000:

    t.vect.extract input=shoreline where="start_time > 2000" \
                   output=shoreline_later_2000 basename=new_shoreline

    t.info shoreline_later_2000@shoreline type=stvds
     +-------------------- Space Time Vector Dataset -----------------------------+
     |                                                                            |
     +-------------------- Basic information -------------------------------------+
     | Id: ........................ shoreline_later_2000@shoreline
     | Name: ...................... shoreline_later_2000
     | Mapset: .................... shoreline
     | Creator: ................... lucadelu
     | Temporal type: ............. relative
     | Creation time: ............. 2014-11-29 08:43:50.043219
     | Modification time:.......... 2014-11-29 08:43:50.085407
     | Semantic type:.............. mean
     +-------------------- Relative time -----------------------------------------+
     | Start time:................. 2003
     | End time:................... 2009
     | Relative time unit:......... years
     | Granularity:................ 1
     | Temporal type of maps:...... point
     +-------------------- Spatial extent ----------------------------------------+
     | North:...................... 1039175.31479
     | South:...................... 34705.216018
     | East:.. .................... 3052322.44671
     | West:....................... 2130004.16779
     | Top:........................ 0.0
     | Bottom:..................... 0.0
     +-------------------- Metadata information ----------------------------------+
     | Vector register table:...... vector_map_register_8395740fc8de42149fef74a3d25bbb05
     | Number of points ........... 0
     | Number of lines ............ 407
     | Number of boundaries ....... 0
     | Number of centroids ........ 0
     | Number of faces ............ 0
     | Number of kernels .......... 0
     | Number of primitives ....... 407
     | Number of nodes ............ 767
     | Number of areas ............ 0
     | Number of islands .......... 0
     | Number of holes ............ 0
     | Number of volumes .......... 0
     | Number of registered maps:.. 3
     |
     | Title:
     | North Carolina shoreline
     | Description:
     | North Caroline shoreline from 2000 to 2009
     | Command history:
     | # 2014-11-29 08:43:50
     | t.vect.extract input="shoreline"
     |     where="start_time > 2000" output="shoreline_later_2000"
     |     basename="new_shoreline"
     | # 2014-11-29 08:44:14
     | t.support type="stvds"
     |     input="shoreline_later_2000@shoreline"
     |     descr="North Caroline shoreline from 2000 to 2009"
     +----------------------------------------------------------------------------+

    t.vect.list shoreline_later_2000
    name|layer|mapset|start_time|end_time
    shoreline_2003|None|shoreline|2003|None
    shoreline_2004|None|shoreline|2004|None
    shoreline_2009|None|shoreline|2009|None

## SEE ALSO

t.create, t.info

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: t.vect.extract source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.2.1dev Reference Manual